Page MenuHomePhabricator

Think about how to index and search qualifiers for 'depicts' statements
Closed, ResolvedPublic

Description

ATM only statements themselves get indexed. For 'depicts' on commons we also need to be able to search for indexes with qualifiers. Research how this data might be stored in the search index

Event Timeline

Cparle created this task.Apr 25 2018, 11:41 AM
Cparle triaged this task as Normal priority.

After talking to the search team we're going to store the qualifiers in the search index in statement_keywords. Each statement will be stored without qualifiers, and then separately with each qualifier

For example, on wikidata the Mona Lisa has the statement 'depicts woman' P180=Q467 and the statement 'depicts sky' P180=Q527 with the qualifiers 'applies to part background' P518=Q13217555 and 'color green' P462=Q3133.

We propose to store these in statement_keywords as follows:

'statement_keywords' : [
    'P180=Q467',
    'P180=Q527',
    'P180=Q527[P518=Q13217555]',
    'P180=Q527[P462=Q3133]',
]

In this way the user will be able to search using the haswbstatement keyword. If they want to find items with 'depicts sky' then can search for haswbstatement:P180=Q527, where if they want to find items that depict a green sky they can search for haswbstatement:P180=Q527[P462=Q3133]

Cparle closed this task as Resolved.Apr 30 2018, 3:47 PM
Vvjjkkii renamed this task from Think about how to index and search qualifiers for 'depicts' statements to v9daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed Cparle as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Mainframe98 updated the task description. (Show Details)Jul 1 2018, 8:59 AM
Mainframe98 renamed this task from v9daaaaaaa to Think about how to index and search qualifiers for 'depicts' statements.
Mainframe98 closed this task as Resolved.
Mainframe98 lowered the priority of this task from High to Normal.
Mainframe98 assigned this task to Cparle.
Ankry added a subscriber: Aklapper.Jul 2 2018, 3:49 PM